# OpalConferenceState Class Reference

`#include <manager.h>`

## Public Types

typedef std::vector< URI > | URIs
typedef std::vector< User > | Users
| Created
| Destroyed
| UserAdded
| UserRemoved
| NumChangeTypes
enum | ChangeType { Created, Destroyed, UserAdded, UserRemoved, NumChangeTypes }

## Public Member Functions

| OpalConferenceState ()

## Data Fields

PString | m_internalURI
| Internal URI, e.g. mcu:5e6f7347-dcd6-e011-9853-0026b9b946a5.
PString | m_displayText
| Human readable text for conference name.
PString | m_subject
| Subject for conference.
PString | m_notes
| Free text about conference.
PString | m_keywords
| Space separated list of keywords for conference.
bool | m_active
| Conference is active and can accept incoming connections.
bool | m_locked
| Conference cannot accept new participants.
URIs | m_accessURI
| All URIs that can access the conference.
URIs | m_serviceURI
unsigned | m_maxUsers
| Maximum users that can join the conference.
Users | m_users

## Friends

ostream & | operator<< (ostream &strm, ChangeType type)

## Data Structures

struct | URI
struct | User

## Member Typedef Documentation

typedef std::vector<URI> OpalConferenceState::URIs

typedef std::vector<User> OpalConferenceState::Users

## Member Enumeration Documentation

enum OpalConferenceState::ChangeType

Enumerator:

  Created |
  Destroyed |
  UserAdded |
  UserRemoved |
  NumChangeTypes |

## Constructor & Destructor Documentation

OpalConferenceState::OpalConferenceState | ( |  | ) | `[inline]`

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | ChangeType | type |
| ) |  |  | `[friend]`

## Field Documentation

URIs OpalConferenceState::m_accessURI

All URIs that can access the conference.

bool OpalConferenceState::m_active

Conference is active and can accept incoming connections.

PString OpalConferenceState::m_displayText

Human readable text for conference name.

PString OpalConferenceState::m_internalURI

Internal URI, e.g. mcu:5e6f7347-dcd6-e011-9853-0026b9b946a5.

PString OpalConferenceState::m_keywords

Space separated list of keywords for conference.

bool OpalConferenceState::m_locked

Conference cannot accept new participants.

unsigned OpalConferenceState::m_maxUsers

Maximum users that can join the conference.

PString OpalConferenceState::m_notes

Free text about conference.

URIs OpalConferenceState::m_serviceURI

All URIs that describe auxilliary services for conference, e.g. purpose could be "web-page" or "recording".

PString OpalConferenceState::m_subject

Subject for conference.

Users OpalConferenceState::m_users

The documentation for this class was generated from the following file:

- manager.h